org.apache.jmeter.gui.util

## Class MenuInfo

- java.lang.Object
- - org.apache.jmeter.gui.util.MenuInfo

Direct Known Subclasses:
  MenuSeparatorInfo

    public class MenuInfo
    extends Object

Class to hold additional information needed when building the GUI lists

### Field Summary

Fields
`static int` `SORT_ORDER_DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`MenuInfo(JMeterGUIComponent item, String classFullName)`
`MenuInfo(String label, JMeterGUIComponent item, String classFullName)`
`MenuInfo(String displayLabel, String classFullName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()`
`boolean` `getEnabled(String actionCommand)` Returns whether the menu item represented by this MenuInfo object should be enabled
`String` `getLabel()`
`int` `getSortOrder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SORT_ORDER_DEFAULT

    public static final int SORT_ORDER_DEFAULT

See Also:
  Constant Field Values

### Constructor Detail

#### MenuInfo

    public MenuInfo(String displayLabel,
                    String classFullName)

#### MenuInfo

    public MenuInfo(JMeterGUIComponent item,
                    String classFullName)

#### MenuInfo

    public MenuInfo(String label,
                    JMeterGUIComponent item,
                    String classFullName)

### Method Detail

#### getLabel

    public String getLabel()

#### getClassName

    public String getClassName()

#### getSortOrder

    public int getSortOrder()

#### getEnabled

    public boolean getEnabled(String actionCommand)

Returns whether the menu item represented by this MenuInfo object should be enabled

Parameters:
  `actionCommand` - the action command name for the menu item
Returns:
  true when menu item should be enabled, false otherwise.